package TestingSystem.SAPFOR.SapforTasksPackage.UI;
import javax.swing.*;
import javax.swing.tree.DefaultMutableTreeNode;
import java.util.Objects;
public abstract class SapforPackageTreeNode extends DefaultMutableTreeNode {
    public ImageIcon getIcon() {
        return (getImageKey() != null) ?
                new ImageIcon(Objects.requireNonNull(getClass().getResource("/icons/versions/" + getImageKey() + ".png")))
                : null;
    }
    public abstract String getImageKey();
}
